using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioSetoresGru
    {


        public void Insert(entidadeSetoresGru objSetoresGru)
        {
            dalSetoresGru dalSetoresGru = null;

            try
            {
                dalSetoresGru = new dalSetoresGru();

                dalSetoresGru.Insert(objSetoresGru);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeSetoresGru objSetoresGru)
        {
            dalSetoresGru dalSetoresGru = null;

            try
            {
                dalSetoresGru = new dalSetoresGru();

                dalSetoresGru.Update(objSetoresGru);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeSetoresGru objSetoresGru)
        {
            dalSetoresGru dalSetoresGru = null;

            try
            {
                dalSetoresGru = new dalSetoresGru();

                dalSetoresGru.Update_1(objSetoresGru);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeSetoresGru objSetoresGru)
        {
            dalSetoresGru dalSetoresGru = null;

            try
            {
                dalSetoresGru = new dalSetoresGru();

                dalSetoresGru.Delete(objSetoresGru);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeSetoresGru> Select(entidadeSetoresGru objSetoresGru)
        {
            dalSetoresGru dalSetoresGru = null;

            var lstSetoresGru = new List<entidadeSetoresGru>();
            DataTable dt = null;

            try
            {
                dalSetoresGru = new dalSetoresGru();
                dt = dalSetoresGru.Select(objSetoresGru);

                foreach (DataRow dr in dt.Rows)
                {
                    objSetoresGru = new entidadeSetoresGru();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objSetoresGru.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objSetoresGru.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objSetoresGru.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDUSUARIOS"]))
                        objSetoresGru.IDUSUARIOS = Convert.ToInt32(dr["IDUSUARIOS"]);


                    lstSetoresGru.Add(objSetoresGru);
                }
                return lstSetoresGru;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public IList<entidadeSetoresGru> SelectMax(entidadeSetoresGru objSetoresGru)
        {
            dalSetoresGru dalSetoresGru = null;

            var lstSetoresGru = new List<entidadeSetoresGru>();
            DataTable dt = null;

            try
            {
                dalSetoresGru = new dalSetoresGru();
                dt = dalSetoresGru.SelectMax(objSetoresGru);

                foreach (DataRow dr in dt.Rows)
                {
                    objSetoresGru = new entidadeSetoresGru();

                    if (!Convert.IsDBNull(dr["ID"]))
                        objSetoresGru.ID = Convert.ToInt32(dr["ID"]);


                    lstSetoresGru.Add(objSetoresGru);
                }
                return lstSetoresGru;
            }
            catch (Exception)
            {
                throw;
            }
        }



    }
}
